Feed Management - Get Feeds
Get all feeds in an account where you have the provided role access.
GET https://feeds.dev.azure.com/{organization}/_apis/packaging/feeds?api-version=5.0-preview.1
GET https://feeds.dev.azure.com/{organization}/_apis/packaging/feeds?feedRole={feedRole}&includeDeletedUpstreams={includeDeletedUpstreams}&api-version=5.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.0-preview.1' to use this version of the api. |
|
feed
|
query |
Filter by this role, either Administrator(4), Contributor(3), or Reader(2) level permissions. |
||
|
include
|
query |
boolean |
Include upstreams that have been deleted in the response. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Feed[] |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.packaging | Grants the ability to read feeds and packages. |
Definitions
| Name | Description |
|---|---|
| Feed |
A container for artifacts. |
|
Feed |
Supported capabilities of a feed. |
|
Feed |
Permissions for a feed. |
|
Feed |
The role for this identity on a feed. |
|
Feed |
A view on top of a feed. |
|
Feed |
Type of view. |
|
Feed |
Visibility status of the view. |
|
Identity |
An Identity descriptor is a wrapper for the identity type (Windows SID, Passport) along with a unique identifier such as the SID or PUID. |
|
Reference |
The class to represent a collection of REST reference links. |
|
Upstream |
Upstream source definition, including its Identity, package type, and other associated information. |
|
Upstream |
Source type, such as Public or Internal. |
Feed
A container for artifacts.
| Name | Type | Description |
|---|---|---|
| _links |
Related REST links. |
|
| badgesEnabled |
boolean |
If set, this feed supports generation of package badges. |
| capabilities |
Supported capabilities of a feed. |
|
| defaultViewId |
string (uuid) |
The view that the feed administrator has indicated is the default experience for readers. |
| deletedDate |
string (date-time) |
The date that this feed was deleted. |
| description |
string |
A description for the feed. Descriptions must not exceed 255 characters. |
| fullyQualifiedId |
string |
This will either be the feed GUID or the feed GUID and view GUID depending on how the feed was accessed. |
| fullyQualifiedName |
string |
Full name of the view, in feed@view format. |
| hideDeletedPackageVersions |
boolean |
If set, the feed will hide all deleted/unpublished versions |
| id |
string (uuid) |
A GUID that uniquely identifies this feed. |
| isReadOnly |
boolean |
If set, all packages in the feed are immutable. It is important to note that feed views are immutable; therefore, this flag will always be set for views. |
| name |
string |
A name for the feed. feed names must follow these rules: <list type="bullet"><item><description> Must not exceed 64 characters </description></item><item><description> Must not contain whitespaces </description></item><item><description> Must not start with an underscore or a period </description></item><item><description> Must not end with a period </description></item><item><description> Must not contain any of the following illegal characters: , |, /, \\, ?, :, &, $, *, \", #, [, ] ]]></description></item></list> |
| permissions |
Explicit permissions for the feed. |
|
| upstreamEnabled |
boolean |
OBSOLETE: This should always be true. Setting to false will override all sources in UpstreamSources. |
| upstreamEnabledChangedDate |
string (date-time) |
If set, time that the UpstreamEnabled property was changed. Will be null if UpstreamEnabled was never changed after Feed creation. |
| upstreamSources |
A list of sources that this feed will fetch packages from. An empty list indicates that this feed will not search any additional sources for packages. |
|
| url |
string |
The URL of the base feed in GUID form. |
| view |
Definition of the view. |
|
| viewId |
string (uuid) |
View Id. |
| viewName |
string |
View name. |
FeedCapabilities
Supported capabilities of a feed.
| Value | Description |
|---|---|
| none |
No flags exist for this feed |
| upstreamV2 |
This feed can serve packages from upstream sources Upstream packages must be manually promoted to views |
| underMaintenance |
This feed is currently under maintenance and may have reduced functionality |
| defaultCapabilities |
The capabilities given to a newly created feed |
FeedPermission
Permissions for a feed.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
Display name for the identity. |
| identityDescriptor |
Identity associated with this role. |
|
| identityId |
string (uuid) |
Id of the identity associated with this role. |
| role |
The role for this identity on a feed. |
FeedRole
The role for this identity on a feed.
| Value | Description |
|---|---|
| custom |
Unsupported. |
| none |
Unsupported. |
| reader |
Readers can only read packages and view settings. |
| contributor |
Contributors can do anything to packages in the feed including adding new packages, but they may not modify feed settings. |
| administrator |
Administrators have total control over the feed. |
| collaborator |
Collaborators have the same permissions as readers, but can also ingest packages from configured upstream sources. |
FeedView
A view on top of a feed.
| Name | Type | Description |
|---|---|---|
| _links |
Related REST links. |
|
| id |
string (uuid) |
Id of the view. |
| name |
string |
Name of the view. |
| type |
Type of view. |
|
| url |
string |
Url of the view. |
| visibility |
Visibility status of the view. |
FeedViewType
Type of view.
| Value | Description |
|---|---|
| none |
Default, unspecified view type. |
| release |
View used as a promotion destination to classify released artifacts. |
| implicit |
Internal view type that is automatically created and managed by the system. |
FeedVisibility
Visibility status of the view.
| Value | Description |
|---|---|
| private |
Only accessible by the permissions explicitly set by the feed administrator. |
| collection |
Feed is accessible by all the valid users present in the organization where the feed resides (for example across organization 'myorg' at 'dev.azure.com/myorg') |
| organization |
Feed is accessible by all the valid users present in the enterprise where the feed resides. Note that legacy naming and back compat leaves the name of this value out of sync with its new meaning. |
IdentityDescriptor
An Identity descriptor is a wrapper for the identity type (Windows SID, Passport) along with a unique identifier such as the SID or PUID.
| Name | Type | Description |
|---|---|---|
| identifier |
string |
The unique identifier for this identity, not exceeding 256 chars, which will be persisted. |
| identityType |
string |
Type of descriptor (for example, Windows, Passport, etc.). |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
UpstreamSource
Upstream source definition, including its Identity, package type, and other associated information.
| Name | Type | Description |
|---|---|---|
| deletedDate |
string (date-time) |
UTC date that this upstream was deleted. |
| id |
string (uuid) |
Identity of the upstream source. |
| internalUpstreamCollectionId |
string (uuid) |
For an internal upstream type, track the Azure DevOps organization that contains it. |
| internalUpstreamFeedId |
string (uuid) |
For an internal upstream type, track the feed id being referenced. |
| internalUpstreamViewId |
string (uuid) |
For an internal upstream type, track the view of the feed being referenced. |
| location |
string |
Locator for connecting to the upstream source. |
| name |
string |
Display name. |
| protocol |
string |
Package type associated with the upstream source. |
| upstreamSourceType |
Source type, such as Public or Internal. |
UpstreamSourceType
Source type, such as Public or Internal.
| Value | Description |
|---|---|
| public |
Publicly available source. |
| internal |
Azure DevOps upstream source. |